Update a given discountAsk AIput https://api.cast.ai/v1/discounts/{discountId}Path ParamsdiscountIdstringrequiredID of the discount to be updatedBody Paramsnamestring | nullcspstringrequiredThe available CSP values are: [aws, azure, gcp, oracle]enabledbooleanrequiredtruefalsesourcestringenumDefaults to SOURCE_UNKNOWN SOURCE_USER: Specifies that the discount was manually created by a user SOURCE_TIERED_PRICING_SYNC: Specifies that the discount was automatically synced by CAST AI SOURCE_UNKNOWNSOURCE_USERSOURCE_TIERED_PRICING_SYNCAllowed:SOURCE_UNKNOWNSOURCE_USERSOURCE_TIERED_PRICING_SYNCstartDatedate-time | nullendDatedate-time | nulltargetstringenumrequiredDefaults to TARGET_UNKNOWN TARGET_CPU: Specifies that the discount is applicable to CPU TARGET_MEMORY: Specifies that the discount is applicable to memory TARGET_INSTANCE: Specifies that the discount is applicable to the whole instance TARGET_COMMITMENT: Specifies that the discount is applicable to the commitment TARGET_CUSTOM_CPU: Specifies that the discount is applicable to GCP's custom instance CPU TARGET_CUSTOM_MEMORY: Specifies that the discount is applicable to GCP's custom instance memory TARGET_CUSTOM_EXTENDED_MEMORY: Specifies that the discount is applicable to GCP's custom instance extended RAM TARGET_CUSTOM_INSTANCE: Specifies that the discount is applicable to the whole custom instance TARGET_UNKNOWNTARGET_CPUTARGET_MEMORYTARGET_INSTANCETARGET_COMMITMENTTARGET_CUSTOM_CPUTARGET_CUSTOM_MEMORYTARGET_CUSTOM_EXTENDED_MEMORYTARGET_CUSTOM_INSTANCEShow 9 enum valuesclustersarray of stringsArray of cluster IDs for which the discount should be applied. Empty array means no constraint.clustersADD stringlifeCyclesarray of objectsArray of instance type lifecycles for which the discount should be applied. Empty array means no constraint.lifeCyclesADD stringfamiliesarray of stringsArray of instance families for which the discount should be applied. Empty array means no constraint.familiesADD stringinstanceTypesarray of stringsArray of instance types for which the discount should be applied. If families are provided, types must match the families. Empty array means no constraint.instanceTypesADD stringregionsarray of stringsArray of regions for which the discount should be applied. Empty array means no constraint.regionsADD stringzonesarray of stringsArray of zones in which the discount should be applied. If regions are provided, zones must match the regions. Empty array means no constraint.zonesADD stringosarray of stringsThe available OS values are: [linux, windows]osADD stringpricingarray of objectsrequiredArray of pricing tiers for the discount. Currently only single-tiered discounts are supported.pricing*ADD objectResponse 200A successful response.Updated 7 months ago